# COROSYNC_XML

NAME
SYNOPSIS
DESCRIPTION
FILES
SEE ALSO

## NAME

corosync.xml - XML version of corosync executive configuration file

## SYNOPSIS

/etc/corosync/corosync.xml

## DESCRIPTION

The corosync.xml is XML version of corosync.conf file. It is processed by corosync-xmlproc (8) to generate valid conf file.

File must be valid XML. File starts with root element corosync which can contain same arguments as described in corosync.conf (5).

Within corosync tag are other tags which are processed as follows:
- Every tag is start of new directive
- Every tag attribute is one of options in directive
- Directive is automatically closed
- Sub-tags are processed same and stays within directive

For example, see /etc/corosync/corosync.xml.example

## FILES

/etc/corosync/corosync.xml

XML version of the corosync executive configuration file.

## SEE ALSO

corosync_overview(7), corosync.conf(5), corosync-xmlproc(8)